Bug 204832 - (wxMaxima) Review Request: wxMaxima - wxWidgets interface for maxima
Review Request: wxMaxima - wxWidgets interface for maxima
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-31 15:30 EDT by Rex Dieter
Modified: 2014-12-16 20:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 14:40:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-08-31 15:30:56 EDT
Spec Name or Url: http://apt.kde-redhat.org/apt/fedora/SPECS/wxMaxima.spec
SRPM Name or Url: http://apt.kde-redhat.org/apt/fedora/all/SRPMS.stable/wxMaxima-0.7.0-1.src.rpm
Description: 
wxMaxima is a wxWidgets interface for the computer algebra system Maxima.
Comment 1 Gérard Milmeister 2006-09-04 16:12:05 EDT
* builds fine in mock (FC5)
* rename maxima-new.png to wxmaxima.png for clarity
* COPYING and README are not necessary in /usr/share/wxMaxima
* in the .desktop file:
  I think that there should be no X-Red-Hat* categories, but I may
  be wrong
* I would change the description and summary a little, for example
  summary: Graphical user interface for Maxima
  description: A Graphical user interface for the computer algebra
  system Maxima using wxWidgets.

  This way, we also avoid starting the description with a lower
  case letter :-) Also, it emphasizes the "user interface", since
  the fact that it uses wxWidgets is not that important for most
  possible. Also the original text gives the impression that it
  was about wxWidgets bindings...
* Help doesn't work:
  Cannot open HTML help book: /usr/share/maxima/5.9.3/doc/html/header.hhp
  Is there a .hhp help file somewhere in the maxima distribution?
Comment 2 Rex Dieter 2006-09-05 08:52:59 EDT
>  I think that there should be no X-Red-Hat* categories

I agree.

> * Help doesn't work:
I'd venture to guess this bit may require maxima-5.9.3.99 (or better).
Comment 3 Rex Dieter 2006-09-05 09:08:21 EDT
Spec Name or Url: http://apt.kde-redhat.org/apt/fedora/SPECS/wxMaxima.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/fedora/all/SRPMS.stable/wxMaxima-0.7.0-2.src.rpm

%changelog
* Tue Sep 05 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.0-2
- update %%description, %%summary
- rename icon -> wxmaxima.png
- omit extraneous COPYING, README
- .desktop: remove X-Red-Hat* categories
Comment 4 Gérard Milmeister 2006-09-05 11:05:23 EDT
(In reply to comment #2)
> >  I think that there should be no X-Red-Hat* categories
> 
> I agree.
> 
> > * Help doesn't work:
> I'd venture to guess this bit may require maxima-5.9.3.99 (or better).
I see that this version is in FE development. Would you building
it for FE5?
Comment 5 Rex Dieter 2006-09-05 11:09:38 EDT
>>> * Help doesn't work:
>> I'd venture to guess this bit may require maxima-5.9.3.99 (or better).

> I see that this version is in FE development. Would you building
> it for FE5?

I've been waiting for 5.9.4(final) before pushing a maxima update to any
non-devel repo. 
Comment 6 Gérard Milmeister 2006-09-06 16:47:45 EDT
-> In the description there is a duplicate "the the".
Otherwise everything is fine.
Builds in mock FC4 and devel.
rpmlint is silent.
APPROVED
Comment 7 Jason Tibbitts 2006-09-06 20:37:42 EDT
Umm, this bug is still NEW, is still blocking FE-NEW and is not assigned to
anyone.  Why is someone approving it?
Comment 8 Rex Dieter 2006-09-07 14:40:27 EDT
typo fixed, imported, +owners.list, built for devel.

Note You need to log in before you can comment on or make changes to this bug.